import 'package:siro_driver/constant/colors.dart';
import 'package:siro_driver/controller/auth/onboarding_controller.dart';
import 'package:siro_driver/onbording_page.dart';
import 'package:siro_driver/views/widgets/elevated_btn.dart';
import 'package:flutter/material.dart';
import 'package:get/get.dart';

class OnBoardingPage extends StatelessWidget {
  OnBoardingControllerImp onBoardingControllerImp =
      Get.put(OnBoardingControllerImp());

  OnBoardingPage({super.key});
  @override
  Widget build(BuildContext context) {
    return Scaffold(
        backgroundColor: AppColor.secondaryColor,
        body: SafeArea(
          child: Column(mainAxisAlignment: MainAxisAlignment.center, children: [
            SizedBox(
              height: Get.height * .7,
              child: const CustomSliderOnBoarding(),
            ),
            const CustomDotControllerOnBoarding(),
            // const Spacer(flex: 2),
            const SizedBox(height: 20),
            MyElevatedButton(
              onPressed: () => onBoardingControllerImp.next(),
              title: 'Next'.tr,
            )
          ]),
        ));
  }
}
